# DeploymentEnvironmentTelemetry

All deployment environment endpoints

## GET /v3/telemetry/deploymentEnvironment/{deploymentEnvironmentId}/current

> Get current deployment environment telemetry

```json
{"openapi":"3.0.1","info":{"title":"i3D.net One-Deployment-Platform Endpoints","version":"3.0.0"},"tags":[{"name":"DeploymentEnvironmentTelemetry","description":"All deployment environment endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"DeploymentEnvironmentTelemetryModel":{"type":"object","required":["hosts","instances","players"],"properties":{"hosts":{"type":"integer","format":"integer","description":"The number of hosts"},"instances":{"type":"integer","format":"integer","description":"The number of instances"},"players":{"type":"integer","format":"integer","description":"The number of players"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/deploymentEnvironment/{deploymentEnvironmentId}/current":{"get":{"tags":["DeploymentEnvironmentTelemetry"],"summary":"Get current deployment environment telemetry","operationId":"getTelemetryDeploymentEnvironmentCurrents","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeploymentEnvironmentTelemetryModel"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid deploymentEnvironmentId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/game/deploymentenvironmenttelemetry-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
